import React from 'react';
import { connect } from 'dva';
import styles from './IndexPage.css';
import EngineInit from 'EngineInit';
import AddModel from 'AddModel';
import SetModelColor from 'SetModelColor';
import SetClickMode from 'SetClickMode';
import { Button, Menu, Icon, Tooltip } from 'antd';
import  '../utils/OnClickPosition';

const filesurl= '../../public/model/house1/house1List.json';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;

class IndexPage extends React.Component{
  constructor(props) {
    super(props);
    this.state = {liVisible: false};
  }
  SetModelColor = () => {
    SetModelColor('testtag1',0,0,255);
  };
  SetClickMode = (i) => {
    SetClickMode(i);
  };

  componentDidMount() {
    //初始化画布
    EngineInit("webglContainer");
    SetClickMode(0);
    AddModel(filesurl, 'testtag1');
  }
  ModelSettingMenuClick = (liVisible) => {
    console.info(liVisible);
    if (liVisible === true) {

      this.setState({ liVisible: false });
    } else {

      this.setState({ liVisible: true });
    }

  };

  render() {
    return (
      <div className={ styles.all }>
        <div className={styles.floatDiv}>
          <div className={styles.toolBar}>
            <ul className={`${styles.menuUl} ${styles.clearfix}`}>
              <li>
              <Tooltip title="模型颜色设置">
                <Button type="primary" onClick={this.SetModelColor}>
                  <Icon type="mail"></Icon>
                </Button>
              </Tooltip>
              </li>
              <li>
                <Tooltip title="模型设置">
                  <Button type="primary"  onClick={this.ModelSettingMenuClick.bind(undefined,this.state.liVisible)}>模型设置</Button>
                </Tooltip>
                {
                  this.state.liVisible&&<ul className={styles.clearfix}>
                    <li>
                      <Button type="primary">查看模式</Button>
                    </li>
                    <li>
                      <Button type="primary">坐标拾取模式</Button>
                    </li>
                    <li>
                      <Button type="primary" onClick={this.SetClickMode.bind(undefined,'2')}>ID拾取模式</Button>
                    </li>
                  </ul>
                }
              </li>
            </ul>
          </div>
        </div>
        <div id="webglContainer" className={styles.webglContainer1}/>
      </div>
    );
  }
}

IndexPage.propTypes = {
};
export default connect()(IndexPage);
